## vice 3.1.0.dfsg1

=== src/lib/libffmpeg/Makefile ===
COMPAT_SOURCE_FILES = \
	compat/msvcrt/snprintf.c \
	compat/plan9/main.c \
	compat/getopt.c \
	compat/strtod.c

COMPAT_HEADER_FILES = \
	compat/aix/math.h \
	compat/avisynth/avisynth_c.h \
	compat/avisynth/avisynth_c_25.h \
	compat/avisynth/avxsynth_c.h \
	compat/avisynth/windowsPorts/basicDataTypeConversions.h \
	compat/avisynth/windowsPorts/windows2linux.h \
	compat/float/float.h \
	compat/float/limits.h \
	compat/msvcrt/snprintf.h \
	compat/tms470/math.h \
	compat/os2threads.h \
	compat/va_copy.h \
	compat/w32pthreads.h

COMPAT_EXTRA_FILES = \
	compat/plan9/head \
	compat/plan9/printf \
	compat/windows/makedef

DOX_FILES = \
	doc/examples/avio_reading.c \
	doc/examples/decoding_encoding.c \
	doc/examples/demuxing_decoding.c \
	doc/examples/extract_mvs.c \
	doc/examples/filter_audio.c \
	doc/examples/filtering_audio.c \
	doc/examples/filtering_video.c \
	doc/examples/Makefile \
	doc/examples/metadata.c \
	doc/examples/muxing.c \
	doc/examples/README \
	doc/examples/remuxing.c \
	doc/examples/resampling_audio.c \
	doc/examples/scaling_video.c \
	doc/examples/transcode_aac.c \
	doc/examples/transcoding.c \
	doc/APIchanges \
	doc/authors.texi \
	doc/bitstream_filters.texi \
	doc/bootstrap.min.css \
	doc/build_system.txt \
	doc/codecs.texi \
	doc/decoders.texi \
	doc/default.css \
	doc/demuxers.texi \
	doc/developer.texi \
	doc/devices.texi \
	doc/Doxyfile \
	doc/doxy-wrapper.sh \
	doc/encoders.texi \
	doc/errno.txt \
	doc/faq.texi \
	doc/fate.texi \
	doc/fate_config.sh.template \
	doc/ffmpeg.texi \
	doc/ffmpeg.txt \
	doc/ffmpeg-bitstream-filters.texi \
	doc/ffmpeg-codecs.texi \
	doc/ffmpeg-devices.texi \
	doc/ffmpeg-filters.texi \
	doc/ffmpeg-formats.texi \
	doc/ffmpeg-protocols.texi \
	doc/ffmpeg-resampler.texi \
	doc/ffmpeg-scaler.texi \
	doc/ffmpeg-utils.texi \
	doc/ffplay.texi \
	doc/ffprobe.texi \
	doc/ffprobe.xsd \
	doc/ffserver.conf \
	doc/ffserver.texi \
	doc/fftools-common-opts.texi \
	doc/filter_design.txt \
	doc/filters.texi \
	doc/formats.texi \
	doc/general.texi \
	doc/git-howto.texi \
	doc/indevs.texi \
	doc/issue_tracker.txt \
	doc/libavcodec.texi \
	doc/libavdevice.texi \
	doc/libavfilter.texi \
	doc/libavformat.texi \
	doc/libavutil.texi \
	doc/libswresample.texi \
	doc/libswscale.texi \
	doc/Makefile \
	doc/metadata.texi \
	doc/mips.txt \
	doc/multithreading.txt \
	doc/muxers.texi \
	doc/nut.texi \
	doc/optimization.txt \
	doc/outdevs.texi \
	doc/platform.texi \
	doc/print_options.c \
	doc/protocols.texi \
	doc/rate_distortion.txt \
	doc/resampler.texi \
	doc/scaler.texi \
	doc/snow.txt \
	doc/style.min.css \
	doc/swresample.txt \
	doc/swscale.txt \
	doc/t2h.init \
	doc/t2h.pm \
	doc/tablegen.txt \
	doc/texi2pod.pl \
	doc/texidep.pl \
	doc/utils.texi \
	doc/writing_filters.txt

LIBAVCODEC_SOURCE_FILES = \
	libavcodec/aarch64/fft_init_aarch64.c \
	libavcodec/aarch64/h264chroma_init_aarch64.c \
	libavcodec/aarch64/h264dsp_init_aarch64.c \
	libavcodec/aarch64/h264qpel_init_aarch64.c \
	libavcodec/aarch64/hpeldsp_init_aarch64.c \
	libavcodec/aarch64/mpegaudiodsp_init.c \
	libavcodec/aarch64/neontest.c \
	libavcodec/aarch64/opus_imdct_init.c \
	libavcodec/aarch64/rv40dsp_init_aarch64.c \
	libavcodec/aarch64/vc1dsp_init_aarch64.c \
	libavcodec/aarch64/videodsp_init.c \
	libavcodec/aarch64/vorbisdsp_init.c \
	libavcodec/alpha/blockdsp_alpha.c \
	libavcodec/alpha/hpeldsp_alpha.c \
	libavcodec/alpha/idctdsp_alpha.c \
	libavcodec/alpha/me_cmp_alpha.c \
	libavcodec/alpha/mpegvideo_alpha.c \
	libavcodec/alpha/pixblockdsp_alpha.c \
	libavcodec/alpha/simple_idct_alpha.c \
	libavcodec/arm/aacpsdsp_init_arm.c \
	libavcodec/arm/ac3dsp_init_arm.c \
	libavcodec/arm/audiodsp_init_arm.c \
	libavcodec/arm/audiodsp_init_neon.c \
	libavcodec/arm/blockdsp_init_arm.c \
	libavcodec/arm/blockdsp_init_neon.c \
	libavcodec/arm/dcadsp_init_arm.c \
	libavcodec/arm/dct-test.c \
	libavcodec/arm/fft_fixed_init_arm.c \
	libavcodec/arm/fft_init_arm.c \
	libavcodec/arm/flacdsp_init_arm.c \
	libavcodec/arm/fmtconvert_init_arm.c \
	libavcodec/arm/h264chroma_init_arm.c \
	libavcodec/arm/h264dsp_init_arm.c \
	libavcodec/arm/h264pred_init_arm.c \
	libavcodec/arm/h264qpel_init_arm.c \
	libavcodec/arm/hpeldsp_init_arm.c \
	libavcodec/arm/hpeldsp_init_armv6.c \
	libavcodec/arm/hpeldsp_init_neon.c \
	libavcodec/arm/idctdsp_init_arm.c \
	libavcodec/arm/idctdsp_init_armv5te.c \
	libavcodec/arm/idctdsp_init_armv6.c \
	libavcodec/arm/idctdsp_init_neon.c \
	libavcodec/arm/lossless_audiodsp_init_arm.c \
	libavcodec/arm/me_cmp_init_arm.c \
	libavcodec/arm/mlpdsp_init_arm.c \
	libavcodec/arm/mpegaudiodsp_init_arm.c \
	libavcodec/arm/mpegvideo_arm.c \
	libavcodec/arm/mpegvideo_armv5te.c \
	libavcodec/arm/mpegvideoencdsp_init_arm.c \
	libavcodec/arm/neontest.c \
	libavcodec/arm/pixblockdsp_init_arm.c \
	libavcodec/arm/rv34dsp_init_arm.c \
	libavcodec/arm/rv40dsp_init_arm.c \
	libavcodec/arm/sbrdsp_init_arm.c \
	libavcodec/arm/vc1dsp_init_arm.c \
	libavcodec/arm/vc1dsp_init_neon.c \
	libavcodec/arm/videodsp_init_arm.c \
	libavcodec/arm/videodsp_init_armv5te.c \
	libavcodec/arm/vorbisdsp_init_arm.c \
	libavcodec/arm/vp3dsp_init_arm.c \
	libavcodec/arm/vp6dsp_init_arm.c \
	libavcodec/arm/vp8dsp_init_arm.c \
	libavcodec/arm/vp8dsp_init_armv6.c \
	libavcodec/arm/vp8dsp_init_neon.c \
	libavcodec/mips/aaccoder_mips.c \
	libavcodec/mips/aacdec_mips.c \
	libavcodec/mips/aacpsdsp_mips.c \
	libavcodec/mips/aacsbr_mips.c \
	libavcodec/mips/ac3dsp_mips.c \
	libavcodec/mips/acelp_filters_mips.c \
	libavcodec/mips/acelp_vectors_mips.c \
	libavcodec/mips/amrwbdec_mips.c \
	libavcodec/mips/celp_filters_mips.c \
	libavcodec/mips/celp_math_mips.c \
	libavcodec/mips/fft_mips.c \
	libavcodec/mips/fmtconvert_mips.c \
	libavcodec/mips/iirfilter_mips.c \
	libavcodec/mips/mpegaudiodsp_mips_fixed.c \
	libavcodec/mips/mpegaudiodsp_mips_float.c \
	libavcodec/mips/sbrdsp_mips.c \
	libavcodec/neon/mpegvideo.c \
	libavcodec/ppc/audiodsp.c \
	libavcodec/ppc/blockdsp.c \
	libavcodec/ppc/dct-test.c \
	libavcodec/ppc/fdctdsp.c \
	libavcodec/ppc/fft_init.c \
	libavcodec/ppc/fft_vsx.c \
	libavcodec/ppc/fmtconvert_altivec.c \
	libavcodec/ppc/h264chroma_init.c \
	libavcodec/ppc/h264chroma_template.c \
	libavcodec/ppc/h264dsp.c \
	libavcodec/ppc/h264qpel.c \
	libavcodec/ppc/h264qpel_template.c \
	libavcodec/ppc/hpeldsp_altivec.c \
	libavcodec/ppc/huffyuvdsp_altivec.c \
	libavcodec/ppc/idctdsp.c \
	libavcodec/ppc/lossless_audiodsp_altivec.c \
	libavcodec/ppc/me_cmp.c \
	libavcodec/ppc/mpegaudiodsp_altivec.c \
	libavcodec/ppc/mpegvideo_altivec.c \
	libavcodec/ppc/mpegvideodsp.c \
	libavcodec/ppc/mpegvideoencdsp.c \
	libavcodec/ppc/pixblockdsp.c \
	libavcodec/ppc/svq1enc_altivec.c \
	libavcodec/ppc/vc1dsp_altivec.c \
	libavcodec/ppc/videodsp_ppc.c \
	libavcodec/ppc/vorbisdsp_altivec.c \
	libavcodec/ppc/vp3dsp_altivec.c \
	libavcodec/ppc/vp8dsp_altivec.c \
	libavcodec/x86/ac3dsp_init.c \
	libavcodec/x86/audiodsp_init.c \
	libavcodec/x86/blockdsp_init.c \
	libavcodec/x86/bswapdsp_init.c \
	libavcodec/x86/cavsdsp.c \
	libavcodec/x86/constants.c \
	libavcodec/x86/dcadsp_init.c \
	libavcodec/x86/dct_init.c \
	libavcodec/x86/dct-test.c \
	libavcodec/x86/dirac_dwt.c \
	libavcodec/x86/diracdsp_mmx.c \
	libavcodec/x86/dnxhdenc_init.c \
	libavcodec/x86/fdct.c \
	libavcodec/x86/fdctdsp_init.c \
	libavcodec/x86/fft_init.c \
	libavcodec/x86/flacdsp_init.c \
	libavcodec/x86/fmtconvert_init.c \
	libavcodec/x86/h263dsp_init.c \
	libavcodec/x86/h264_intrapred_init.c \
	libavcodec/x86/h264_qpel.c \
	libavcodec/x86/h264chroma_init.c \
	libavcodec/x86/h264dsp_init.c \
	libavcodec/x86/hevcdsp_init.c \
	libavcodec/x86/hpeldsp_init.c \
	libavcodec/x86/hpeldsp_rnd_template.c \
	libavcodec/x86/huffyuvdsp_init.c \
	libavcodec/x86/huffyuvencdsp_mmx.c \
	libavcodec/x86/idctdsp_init.c \
	libavcodec/x86/idctdsp_mmx.c \
	libavcodec/x86/lossless_audiodsp_init.c \
	libavcodec/x86/lossless_videodsp_init.c \
	libavcodec/x86/lpc.c \
	libavcodec/x86/me_cmp_init.c \
	libavcodec/x86/mlpdsp.c \
	libavcodec/x86/mpegaudiodsp.c \
	libavcodec/x86/mpegvideo.c \
	libavcodec/x86/mpegvideodsp.c \
	libavcodec/x86/mpegvideoenc.c \
	libavcodec/x86/mpegvideoenc_qns_template.c \
	libavcodec/x86/mpegvideoenc_template.c \
	libavcodec/x86/mpegvideoencdsp_init.c \
	libavcodec/x86/pixblockdsp_init.c \
	libavcodec/x86/pngdsp_init.c \
	libavcodec/x86/proresdsp_init.c \
	libavcodec/x86/qpeldsp_init.c \
	libavcodec/x86/rnd_template.c \
	libavcodec/x86/rv34dsp_init.c \
	libavcodec/x86/rv40dsp_init.c \
	libavcodec/x86/sbrdsp_init.c \
	libavcodec/x86/simple_idct.c \
	libavcodec/x86/snowdsp.c \
	libavcodec/x86/svq1enc_init.c \
	libavcodec/x86/ttadsp_init.c \
	libavcodec/x86/v210-init.c \
	libavcodec/x86/vc1dsp_init.c \
	libavcodec/x86/vc1dsp_mmx.c \
	libavcodec/x86/videodsp_init.c \
	libavcodec/x86/vorbisdsp_init.c \
	libavcodec/x86/vp3dsp_init.c \
	libavcodec/x86/vp6dsp_init.c \
	libavcodec/x86/vp8dsp_init.c \
	libavcodec/x86/vp9dsp_init.c \
	libavcodec/x86/w64xmmtest.c \
	libavcodec/x86/xvididct_init.c \
	libavcodec/x86/xvididct_mmx.c \
	libavcodec/x86/xvididct_sse2.c \
	libavcodec/012v.c \
	libavcodec/4xm.c \
	libavcodec/8bps.c \
	libavcodec/8svx.c \
	libavcodec/a64multienc.c \
	libavcodec/aac_ac3_parser.c \
	libavcodec/aac_adtstoasc_bsf.c \
	libavcodec/aac_parser.c \
	libavcodec/aac_tablegen.c \
	libavcodec/aacadtsdec.c \
	libavcodec/aaccoder.c \
	libavcodec/aacdec.c \
	libavcodec/aacenc.c \
	libavcodec/aacps.c \
	libavcodec/aacps_tablegen.c \
	libavcodec/aacpsdata.c \
	libavcodec/aacpsdsp.c \
	libavcodec/aacpsy.c \
	libavcodec/aacsbr.c \
	libavcodec/aacsbr_tablegen.c \
	libavcodec/aactab.c \
	libavcodec/aandcttab.c \
	libavcodec/aasc.c \
	libavcodec/ac3.c \
	libavcodec/ac3_parser.c \
	libavcodec/ac3dec.c \
	libavcodec/ac3dec_data.c \
	libavcodec/ac3dec_fixed.c \
	libavcodec/ac3dec_float.c \
	libavcodec/ac3dsp.c \
	libavcodec/ac3enc.c \
	libavcodec/ac3enc_fixed.c \
	libavcodec/ac3enc_float.c \
	libavcodec/ac3enc_opts_template.c \
	libavcodec/ac3enc_template.c \
	libavcodec/ac3tab.c \
	libavcodec/acelp_filters.c \
	libavcodec/acelp_pitch_delay.c \
	libavcodec/acelp_vectors.c \
	libavcodec/adpcm.c \
	libavcodec/adpcm_data.c \
	libavcodec/adpcmenc.c \
	libavcodec/adx.c \
	libavcodec/adx_parser.c \
	libavcodec/adxdec.c \
	libavcodec/adxenc.c \
	libavcodec/aic.c \
	libavcodec/alac.c \
	libavcodec/alac_data.c \
	libavcodec/alacenc.c \
	libavcodec/aliaspixdec.c \
	libavcodec/aliaspixenc.c \
	libavcodec/allcodecs.c \
	libavcodec/alsdec.c \
	libavcodec/amrnbdec.c \
	libavcodec/amrwbdec.c \
	libavcodec/anm.c \
	libavcodec/ansi.c \
	libavcodec/apedec.c \
	libavcodec/ass.c \
	libavcodec/ass_split.c \
	libavcodec/assdec.c \
	libavcodec/assenc.c \
	libavcodec/asv.c \
	libavcodec/asvdec.c \
	libavcodec/asvenc.c \
	libavcodec/atrac.c \
	libavcodec/atrac1.c \
	libavcodec/atrac3.c \
	libavcodec/atrac3plus.c \
	libavcodec/atrac3plusdec.c \
	libavcodec/atrac3plusdsp.c \
	libavcodec/audio_frame_queue.c \
	libavcodec/audioconvert.c \
	libavcodec/audiodsp.c \
	libavcodec/aura.c \
	libavcodec/avdct.c \
	libavcodec/avfft.c \
	libavcodec/avpacket.c \
	libavcodec/avpicture.c \
	libavcodec/avrndec.c \
	libavcodec/avs.c \
	libavcodec/avuidec.c \
	libavcodec/avuienc.c \
	libavcodec/bethsoftvideo.c \
	libavcodec/bfi.c \
	libavcodec/bgmc.c \
	libavcodec/bink.c \
	libavcodec/binkaudio.c \
	libavcodec/binkdsp.c \
	libavcodec/bintext.c \
	libavcodec/bit_depth_template.c \
	libavcodec/bitstream.c \
	libavcodec/bitstream_filter.c \
	libavcodec/blockdsp.c \
	libavcodec/bmp.c \
	libavcodec/bmp_parser.c \
	libavcodec/bmpenc.c \
	libavcodec/bmvaudio.c \
	libavcodec/bmvvideo.c \
	libavcodec/brenderpix.c \
	libavcodec/bswapdsp.c \
	libavcodec/c93.c \
	libavcodec/cabac.c \
	libavcodec/cabac_tablegen.c \
	libavcodec/cavs.c \
	libavcodec/cavs_parser.c \
	libavcodec/cavsdata.c \
	libavcodec/cavsdec.c \
	libavcodec/cavsdsp.c \
	libavcodec/cbrt_tablegen.c \
	libavcodec/cdgraphics.c \
	libavcodec/cdxl.c \
	libavcodec/celp_filters.c \
	libavcodec/celp_math.c \
	libavcodec/cga_data.c \
	libavcodec/chomp_bsf.c \
	libavcodec/cinepak.c \
	libavcodec/cinepakenc.c \

=== src/lib/libx264/Makefile ===
# Makefile

include config.mak

vpath %.c $(SRCPATH)
vpath %.h $(SRCPATH)
vpath %.S $(SRCPATH)
vpath %.asm $(SRCPATH)
vpath %.rc $(SRCPATH)

GENERATED =

all: default
default:

SOURCE_FILES = \
	x264.c \
	x264dll.c \
	common/bitstream.c \
	common/cabac.c \
	common/common.c \
	common/cpu.c \
	common/dct.c \
	common/deblock.c \
	common/frame.c \
	common/macroblock.c \
	common/mc.c \
	common/mvpred.c \
	common/oclobj-msvc.h \
	common/opencl.c \
	common/osdep.c \
	common/pixel.c \
	common/predict.c \
	common/quant.c \
	common/rectangle.c \
	common/set.c \
	common/threadpool.c \
	common/vlc.c \
	common/win32thread.c \
	common/aarch64/mc-c.c \
	common/aarch64/predict-c.c \
	common/arm/mc-c.c \
	common/arm/predict-c.c \
	common/ppc/dct.c \
	common/ppc/deblock.c \
	common/ppc/mc.c \
	common/ppc/pixel.c \
	common/ppc/predict.c \
	common/ppc/quant.c \
	common/x86/mc-c.c \
	common/x86/predict-c.c \
	encoder/analyse.c \
	encoder/cabac.c \
	encoder/cavlc.c \
	encoder/encoder.c \
	encoder/lookahead.c \
	encoder/macroblock.c \
	encoder/me.c \
	encoder/ratecontrol.c \
	encoder/rdo.c \
	encoder/set.c \
	encoder/slicetype.c \
	encoder/slicetype-cl.c \
	extras/getopt.c \
	filters/filters.c \
	filters/video/cache.c \
	filters/video/crop.c \
	filters/video/depth.c \
	filters/video/fix_vfr_pts.c \
	filters/video/internal.c \
	filters/video/resize.c \
	filters/video/select_every.c \
	filters/video/source.c \
	filters/video/video.c \
	input/avs.c \
	input/ffms.c \
	input/input.c \
	input/lavf.c \
	input/raw.c \
	input/thread.c \
	input/timecode.c \
	input/y4m.c \
	output/flv.c \
	output/flv_bytestream.c \
	output/matroska.c \
	output/matroska_ebml.c \
	output/mp4.c \
	output/mp4_lsmash.c \
	output/raw.c \
	tools/checkasm.c

HEADER_FILES = \
	x264.h \
	x264cli.h \
	common/bitstream.h \
	common/cabac.h \
	common/common.h \
	common/cpu.h \
	common/dct.h \
	common/frame.h \
	common/macroblock.h \
	common/mc.h \
	common/opencl.h \
	common/osdep.h \
	common/pixel.h \
	common/predict.h \
	common/quant.h \
	common/rectangle.h \
	common/set.h \
	common/threadpool.h \
	common/win32thread.h \
	common/aarch64/dct.h \
	common/aarch64/mc.h \
	common/aarch64/pixel.h \
	common/aarch64/predict.h \
	common/aarch64/quant.h \
	common/arm/dct.h \
	common/arm/mc.h \
	common/arm/pixel.h \
	common/arm/predict.h \
	common/arm/quant.h \
	common/opencl/x264-cl.h \
	common/ppc/dct.h \
	common/ppc/mc.h \
	common/ppc/pixel.h \
	common/ppc/ppccommon.h \
	common/ppc/predict.h \
	common/ppc/quant.h \
	common/x86/dct.h \
	common/x86/mc.h \
	common/x86/pixel.h \
	common/x86/predict.h \
	common/x86/quant.h \
	common/x86/util.h \
	encoder/analyse.h \
	encoder/macroblock.h \
	encoder/me.h \
	encoder/ratecontrol.h \
	encoder/set.h \
	extras/avisynth_c.h \
	extras/avxsynth_c.h \
	extras/cl.h \
	extras/cl_platform.h \
	extras/getopt.h \
	extras/inttypes.h \
	extras/stdint.h \
	extras/windowsPorts/basicDataTypeConversions.h \
	extras/windowsPorts/windows2linux.h \
	filters/filters.h \
	filters/video/internal.h \
	filters/video/video.h \
	input/input.h \
	output/flv_bytestream.h \
	output/matroska_ebml.h \
	output/output.h

ASM_FILES = \
	common/aarch64/asm.S \
	common/aarch64/dct-a.S \
	common/aarch64/deblock-a.S \
	common/aarch64/mc-a.S \
	common/aarch64/pixel-a.S \
	common/aarch64/predict-a.S \
	common/aarch64/quant-a.S \
	common/arm/asm.S \
	common/arm/cpu-a.S \
	common/arm/dct-a.S \
	common/arm/deblock-a.S \
	common/arm/mc-a.S \
	common/arm/pixel-a.S \
	common/arm/predict-a.S \
	common/arm/quant-a.S \
	common/x86/bitstream-a.asm \
	common/x86/cabac-a.asm \
	common/x86/const-a.asm \
	common/x86/cpu-a.asm \
	common/x86/dct-32.asm \
	common/x86/dct-64.asm \
	common/x86/dct-a.asm \
	common/x86/deblock-a.asm \
	common/x86/mc-a.asm \
	common/x86/mc-a2.asm \
	common/x86/pixel-32.asm \
	common/x86/pixel-a.asm \
	common/x86/predict-a.asm \
	common/x86/quant-a.asm \
	common/x86/sad16-a.asm \
	common/x86/sad-a.asm \
	common/x86/trellis-64.asm \
	common/x86/x86inc.asm \
	common/x86/x86util.asm \
	tools/checkasm-a.asm

EXTRA_FILES = \
	AUTHORS \
	config.guess \
	config.sub \
	configure \
	COPYING \
	Makefile \
	version.sh \
	x264res.rc \
	common/opencl/bidir.cl \
	common/opencl/downscale.cl \
	common/opencl/intra.cl \
	common/opencl/motionsearch.cl \
	common/opencl/subpel.cl \
	common/opencl/weightp.cl \
	extras/gas-preprocessor.pl \
	doc/ratecontrol.txt \
	doc/regression_test.txt \
	doc/standards.txt \
	doc/threads.txt \
	doc/vui.txt \
	tools/digress/__init__.py \
	tools/digress/cli.py \
	tools/digress/comparers.py \
	tools/digress/constants.py \
	tools/digress/errors.py \
	tools/digress/testing.py \
	tools/digress/scm/__init__.py \
	tools/digress/scm/dummy.py \
	tools/digress/scm/git.py \
	tools/cltostr.sh \
	tools/countquant_x264.pl \
	tools/msvsdepend.sh \
	tools/q_matrix_jvt.cfg \
	tools/test_x264.py

SRCS = common/mc.c common/predict.c common/pixel.c common/macroblock.c \
       common/frame.c common/dct.c common/cpu.c common/cabac.c \
       common/common.c common/osdep.c common/rectangle.c \
       common/set.c common/quant.c common/deblock.c common/vlc.c \
       common/mvpred.c common/bitstream.c \
       encoder/analyse.c encoder/me.c encoder/ratecontrol.c \
       encoder/set.c encoder/macroblock.c encoder/cabac.c \
       encoder/cavlc.c encoder/encoder.c encoder/lookahead.c

SRCCLI = x264.c input/input.c input/timecode.c input/raw.c input/y4m.c \
         output/raw.c output/matroska.c output/matroska_ebml.c \
         output/flv.c output/flv_bytestream.c filters/filters.c \
         filters/video/video.c filters/video/source.c filters/video/internal.c \
         filters/video/resize.c filters/video/cache.c filters/video/fix_vfr_pts.c \
         filters/video/select_every.c filters/video/crop.c filters/video/depth.c

SRCSO =
OBJS =
OBJSO =
OBJCLI =

OBJCHK = tools/checkasm.o

CONFIG := $(shell cat config.h)

# GPL-only files
ifneq ($(findstring HAVE_GPL 1, $(CONFIG)),)
SRCCLI +=
endif

# Optional module sources
ifneq ($(findstring HAVE_AVS 1, $(CONFIG)),)
SRCCLI += input/avs.c
endif

ifneq ($(findstring HAVE_THREAD 1, $(CONFIG)),)
SRCCLI += input/thread.c
SRCS   += common/threadpool.c
endif

ifneq ($(findstring HAVE_WIN32THREAD 1, $(CONFIG)),)
SRCS += common/win32thread.c
endif

ifneq ($(findstring HAVE_LAVF 1, $(CONFIG)),)
SRCCLI += input/lavf.c
endif

ifneq ($(findstring HAVE_FFMS 1, $(CONFIG)),)
SRCCLI += input/ffms.c
endif

ifneq ($(findstring HAVE_GPAC 1, $(CONFIG)),)
SRCCLI += output/mp4.c
endif

ifneq ($(findstring HAVE_LSMASH 1, $(CONFIG)),)
SRCCLI += output/mp4_lsmash.c
endif

# MMX/SSE optims
ifneq ($(AS),)
X86SRC0 = const-a.asm cabac-a.asm dct-a.asm deblock-a.asm mc-a.asm \
          mc-a2.asm pixel-a.asm predict-a.asm quant-a.asm \
          cpu-a.asm dct-32.asm bitstream-a.asm
ifneq ($(findstring HIGH_BIT_DEPTH, $(CONFIG)),)
X86SRC0 += sad16-a.asm
else
X86SRC0 += sad-a.asm
endif
X86SRC = $(X86SRC0:%=common/x86/%)

ifeq ($(ARCH),X86)
ARCH_X86 = yes
ASMSRC   = $(X86SRC) common/x86/pixel-32.asm
endif

ifeq ($(ARCH),X86_64)
ARCH_X86 = yes
ASMSRC   = $(X86SRC:-32.asm=-64.asm) common/x86/trellis-64.asm
endif

ifdef ARCH_X86
SRCS   += common/x86/mc-c.c common/x86/predict-c.c
OBJASM  = $(ASMSRC:%.asm=%.o)
$(OBJASM): common/x86/x86inc.asm common/x86/x86util.asm
OBJCHK += tools/checkasm-a.o
endif
endif

# AltiVec optims
ifeq ($(ARCH),PPC)
ifneq ($(AS),)
SRCS += common/ppc/mc.c common/ppc/pixel.c common/ppc/dct.c \
        common/ppc/quant.c common/ppc/deblock.c \
        common/ppc/predict.c
endif
endif

# NEON optims
ifeq ($(ARCH),ARM)
ifneq ($(AS),)
ASMSRC += common/arm/cpu-a.S common/arm/pixel-a.S common/arm/mc-a.S \
          common/arm/dct-a.S common/arm/quant-a.S common/arm/deblock-a.S \
          common/arm/predict-a.S
SRCS   += common/arm/mc-c.c common/arm/predict-c.c
OBJASM  = $(ASMSRC:%.S=%.o)
endif
endif

# AArch64 NEON optims
ifeq ($(ARCH),AARCH64)
ifneq ($(AS),)
ASMSRC += common/aarch64/dct-a.S     \
          common/aarch64/deblock-a.S \
          common/aarch64/mc-a.S      \
          common/aarch64/pixel-a.S   \
          common/aarch64/predict-a.S \
          common/aarch64/quant-a.S
SRCS   += common/aarch64/mc-c.c      \
          common/aarch64/predict-c.c
OBJASM  = $(ASMSRC:%.S=%.o)
endif
endif

ifneq ($(HAVE_GETOPT_LONG),1)
SRCCLI += extras/getopt.c
endif

ifeq ($(SYS),WINDOWS)
OBJCLI += $(if $(RC), x264res.o)
ifneq ($(SONAME),)
SRCSO  += x264dll.c
OBJSO  += $(if $(RC), x264res.dll.o)
endif
endif

ifeq ($(HAVE_OPENCL),yes)
common/oclobj.h: common/opencl/x264-cl.h $(wildcard $(SRCPATH)/common/opencl/*.cl)
	cat $^ | $(SRCPATH)/tools/cltostr.sh $@
GENERATED += common/oclobj.h
SRCS += common/opencl.c encoder/slicetype-cl.c
endif

OBJS   += $(SRCS:%.c=%.o)
OBJCLI += $(SRCCLI:%.c=%.o)
OBJSO  += $(SRCSO:%.c=%.o)

DISTFILES = $(SOURCE_FILES) $(HEADER_FILES) $(ASM_FILES) $(EXTRA_FILES)

.PHONY: all default fprofiled clean distclean install install-* uninstall cli lib-* etags

cli: x264$(EXE)
lib-static: $(LIBX264)
lib-shared: $(SONAME)

$(LIBX264): $(GENERATED) .depend $(OBJS) $(OBJASM)
	rm -f $(LIBX264)
	$(AR)$@ $(OBJS) $(OBJASM)
	$(if $(RANLIB), $(RANLIB) $@)

$(SONAME): $(GENERATED) .depend $(OBJS) $(OBJASM) $(OBJSO)
	$(LD)$@ $(OBJS) $(OBJASM) $(OBJSO) $(SOFLAGS) $(LDFLAGS)

ifneq ($(EXE),)
.PHONY: x264 checkasm
x264: x264$(EXE)
checkasm: checkasm$(EXE)
endif

x264$(EXE): $(GENERATED) .depend $(OBJCLI) $(CLI_LIBX264)
	$(LD)$@ $(OBJCLI) $(CLI_LIBX264) $(LDFLAGSCLI) $(LDFLAGS)

checkasm$(EXE): $(GENERATED) .depend $(OBJCHK) $(LIBX264)
	$(LD)$@ $(OBJCHK) $(LIBX264) $(LDFLAGS)

$(OBJS) $(OBJASM) $(OBJSO) $(OBJCLI) $(OBJCHK): .depend

%.o: %.asm common/x86/x86inc.asm common/x86/x86util.asm
	$(AS) $(ASFLAGS) -o $@ $<
	-@ $(if $(STRIP), $(STRIP) -x $@) # delete local/anonymous symbols, so they don't show up in oprofile

%.o: %.S
	$(AS) $(ASFLAGS) -o $@ $<
	-@ $(if $(STRIP), $(STRIP) -x $@) # delete local/anonymous symbols, so they don't show up in oprofile

%.dll.o: %.rc x264.h
	$(RC) $(RCFLAGS)$@ -DDLL $<

%.o: %.rc x264.h
	$(RC) $(RCFLAGS)$@ $<

.depend: config.mak
	@rm -f .depend
	@echo 'dependency file generation...'
ifeq ($(COMPILER),CL)
	@$(foreach SRC, $(addprefix $(SRCPATH)/, $(SRCS) $(SRCCLI) $(SRCSO)), $(SRCPATH)/tools/msvsdepend.sh "$(CC)" "$(CFLAGS)" "$(SRC)" "$(SRC:$(SRCPATH)/%.c=%.o)" 1>> .depend;)
else
	@$(foreach SRC, $(addprefix $(SRCPATH)/, $(SRCS) $(SRCCLI) $(SRCSO)), $(CC) $(CFLAGS) $(SRC) $(DEPMT) $(SRC:$(SRCPATH)/%.c=%.o) $(DEPMM) 1>> .depend;)
endif

config.mak:
	./configure

depend: .depend
ifneq ($(wildcard .depend),)
include .depend
endif

SRC2 = $(SRCS) $(SRCCLI)
# These should cover most of the important codepaths
OPT0 = --crf 30 -b1 -m1 -r1 --me dia --no-cabac --direct temporal --ssim --no-weightb
OPT1 = --crf 16 -b2 -m3 -r3 --me hex --no-8x8dct --direct spatial --no-dct-decimate -t0  --slice-max-mbs 50
OPT2 = --crf 26 -b4 -m5 -r2 --me hex --cqm jvt --nr 100 --psnr --no-mixed-refs --b-adapt 2 --slice-max-size 1500
OPT3 = --crf 18 -b3 -m9 -r5 --me umh -t1 -A all --b-pyramid normal --direct auto --no-fast-pskip --no-mbtree
OPT4 = --crf 22 -b3 -m7 -r4 --me esa -t2 -A all --psy-rd 1.0:1.0 --slices 4
OPT5 = --frames 50 --crf 24 -b3 -m10 -r3 --me tesa -t2
OPT6 = --frames 50 -q0 -m9 -r2 --me hex -Aall
OPT7 = --frames 50 -q0 -m2 -r1 --me hex --no-cabac

ifeq (,$(VIDS))
fprofiled:
	@echo 'usage: make fprofiled VIDS="infile1 infile2 ..."'
	@echo 'where infiles are anything that x264 understands,'
	@echo 'i.e. YUV with resolution in the filename, y4m, or avisynth.'
else
fprofiled:
	$(MAKE) clean
	$(MAKE) x264$(EXE) CFLAGS="$(CFLAGS) $(PROF_GEN_CC)" LDFLAGS="$(LDFLAGS) $(PROF_GEN_LD)"
	$(foreach V, $(VIDS), $(foreach I, 0 1 2 3 4 5 6 7, ./x264$(EXE) $(OPT$I) --threads 1 $(V) -o $(DEVNULL) ;))
ifeq ($(COMPILER),CL)
# Because Visual Studio timestamps the object files within the PGD, it fails to build if they change - only the executable should be deleted
	rm -f x264$(EXE)
else
	rm -f $(SRC2:%.c=%.o)
endif
	$(MAKE) CFLAGS="$(CFLAGS) $(PROF_USE_CC)" LDFLAGS="$(LDFLAGS) $(PROF_USE_LD)"

=== src/lib/libffmpeg/libavcodec/aarch64/Makefile ===
OBJS-$(CONFIG_FFT)                      += aarch64/fft_init_aarch64.o
OBJS-$(CONFIG_H264CHROMA)               += aarch64/h264chroma_init_aarch64.o
OBJS-$(CONFIG_H264DSP)                  += aarch64/h264dsp_init_aarch64.o
OBJS-$(CONFIG_H264QPEL)                 += aarch64/h264qpel_init_aarch64.o
OBJS-$(CONFIG_HPELDSP)                  += aarch64/hpeldsp_init_aarch64.o
OBJS-$(CONFIG_MPEGAUDIODSP)             += aarch64/mpegaudiodsp_init.o
OBJS-$(CONFIG_NEON_CLOBBER_TEST)        += aarch64/neontest.o
OBJS-$(CONFIG_VIDEODSP)                 += aarch64/videodsp_init.o

OBJS-$(CONFIG_OPUS_DECODER)             += aarch64/opus_imdct_init.o
OBJS-$(CONFIG_RV40_DECODER)             += aarch64/rv40dsp_init_aarch64.o
OBJS-$(CONFIG_VC1_DECODER)              += aarch64/vc1dsp_init_aarch64.o
OBJS-$(CONFIG_VORBIS_DECODER)           += aarch64/vorbisdsp_init.o

ARMV8-OBJS-$(CONFIG_VIDEODSP)           += aarch64/videodsp.o

NEON-OBJS-$(CONFIG_FFT)                 += aarch64/fft_neon.o
NEON-OBJS-$(CONFIG_H264CHROMA)          += aarch64/h264cmc_neon.o
NEON-OBJS-$(CONFIG_H264DSP)             += aarch64/h264dsp_neon.o              \
                                           aarch64/h264idct_neon.o
NEON-OBJS-$(CONFIG_H264QPEL)            += aarch64/h264qpel_neon.o             \
                                           aarch64/hpeldsp_neon.o
NEON-OBJS-$(CONFIG_HPELDSP)             += aarch64/hpeldsp_neon.o
NEON-OBJS-$(CONFIG_MPEGAUDIODSP)        += aarch64/mpegaudiodsp_neon.o
NEON-OBJS-$(CONFIG_MDCT)                += aarch64/mdct_neon.o

NEON-OBJS-$(CONFIG_OPUS_DECODER)        += aarch64/opus_imdct_neon.o
NEON-OBJS-$(CONFIG_VORBIS_DECODER)      += aarch64/vorbisdsp_neon.o

=== src/lib/libffmpeg/libavcodec/mips/Makefile ===
MIPSFPU-OBJS-$(CONFIG_AMRNB_DECODER)      += mips/acelp_filters_mips.o     \
                                             mips/celp_filters_mips.o      \
                                             mips/celp_math_mips.o         \
                                             mips/acelp_vectors_mips.o
MIPSFPU-OBJS-$(CONFIG_AMRWB_DECODER)      += mips/acelp_filters_mips.o     \
                                             mips/celp_filters_mips.o      \
                                             mips/amrwbdec_mips.o          \
                                             mips/celp_math_mips.o         \
                                             mips/acelp_vectors_mips.o
MIPSFPU-OBJS-$(CONFIG_MPEGAUDIODSP)       += mips/mpegaudiodsp_mips_float.o
MIPSDSPR1-OBJS-$(CONFIG_MPEGAUDIODSP)     += mips/mpegaudiodsp_mips_fixed.o
MIPSFPU-OBJS-$(CONFIG_FFT)                += mips/fft_mips.o
MIPSFPU-OBJS                              += mips/fmtconvert_mips.o
OBJS-$(CONFIG_AC3DSP)                     += mips/ac3dsp_mips.o
OBJS-$(CONFIG_AAC_DECODER)                += mips/aacdec_mips.o            \
                                             mips/aacsbr_mips.o            \
                                             mips/sbrdsp_mips.o            \
                                             mips/aacpsdsp_mips.o
MIPSDSPR1-OBJS-$(CONFIG_AAC_ENCODER)      += mips/aaccoder_mips.o
MIPSFPU-OBJS-$(CONFIG_AAC_ENCODER)        += mips/iirfilter_mips.o

=== src/lib/libffmpeg/libavresample/aarch64/Makefile ===
OBJS                             += aarch64/audio_convert_init.o    \
                                    aarch64/resample_init.o         \

OBJS-$(CONFIG_NEON_CLOBBER_TEST) += aarch64/neontest.o

NEON-OBJS                        += aarch64/audio_convert_neon.o    \
                                    aarch64/resample_neon.o         \

=== debian/changelog ===
vice (3.1.0.dfsg1-1) unstable; urgency=medium

  * Repack source to remove prebuilt MS help file.
  * Do not force GTK+3 UI support, but use the GTK+2 variant
    (closes: #882659).
  * Compile with reSID engine support.
  * Update copyright file.
  * Update README.ROMs where to obtain those files.
  * Update Standards-Version to 4.1.1:
    - remove autotools-dev and dh-autoreconf build dependencies.
  * Update debhelper level to 10 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 03 Dec 2017 08:45:53 +0000

=== debian/control ===
Source: vice
Build-Depends: debhelper (>= 10), autoconf, automake, bison++ | bison, flex, texinfo, libreadline-dev, libjpeg-dev, libpng-dev, libgtk2.0-dev, libasound2-dev [linux-any], libpulse-dev, libmp3lame-dev, libavformat-dev (>= 6:10), libieee1284-3-dev [!hurd-i386], libgtkglext1-dev, libvte-2.91-dev, libswscale-dev, libxaw7-dev, xfonts-utils, yasm (>= 1.2)
Section: contrib/otherosfs
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Homepage: http://vice-emu.sourceforge.net/
Standards-Version: 4.1.1

Package: vice
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dpkg (>= 1.15.4) | install-info
Description: Versatile Commodore Emulator
 VICE emulates well the hardware of the Commodore Business Machines of
 the pre-Amiga era. Supported are the various Pets, the VIC-20, the
 Commodore 64, the Commodore 128, the CBM-II series, and the PLUS/4.
 .
 Some alternate keywords for the above: VIC20, C64, C=64, C64 DTV, C128,
 C=128, CBM-500, CBM-600, CBM-700, PLUS4 .
 .
 This package does not contain the various ROM images needed to
 actually use the emulators; they are available separately from other
 locations (see the README.ROMs file).  A corporation in the
 Netherlands called Tulip holds the copyrights to the ROM images, and
 redistribution is not permitted, but VICE itself is unencumbered.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

unexport HOME

PKGDIR:=$(CURDIR)/debian/vice

override_dh_auto_configure:
	./configure \
		--prefix=/usr --infodir=/usr/share/info \
		--mandir=/usr/share/man \
		--enable-gnomeui \
		--enable-fullscreen --disable-parsid --with-midas \
		--with-resid \
		--without-uithreads \
		--without-xaw3d \
		--enable-arch=no \
		--enable-fullscreen \
		--enable-vte \
		--with-jpeg \
		--enable-lame \
		--with-oss \
		--with-alsa \
		--with-pulse

override_dh_install:
	dh_install
	# remove extra licence file
	rm -f $(PKGDIR)/usr/lib/vice/doc/COPYING
	rm -rf $(PKGDIR)/usr/share/info/
	# remove ROM 'dummy' placeholders
	find $(PKGDIR)/usr/lib/vice -size 6c -exec rm {} \;
	# remove duplicated documentation
	rm -rf $(PKGDIR)/usr/lib/vice/doc/
	ln -sf vice_toc.html $(PKGDIR)/usr/share/doc/vice/html/index.html
	ln -sf ../../share/doc/vice/html $(PKGDIR)/usr/lib/vice/doc

 .PHONY: build
 build:
	# These files in the original source are not used
	rm -f configure configure.ac

	sed "s/AM_CONFIG_HEADER/AC_CONFIG_HEADERS/g" \
		< configure.proto > configure.ac

	dh $@ --with autoreconf

%:
	dh $@ --with autoreconf

.PHONY: override_dh_auto_configure override_dh_install

## vice 3.2.0.dfsg

=== debian/changelog ===
vice (3.2.0.dfsg-2) unstable; urgency=medium

  * Update am__api_version to 1.16 (closes: #906782).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 21 Aug 2018 15:37:59 +0000

vice (3.2.0.dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update debhelper level to 11 .
  * Update Standards-Version to 4.1.4 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 30 May 2018 22:23:32 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: vice
-Build-Depends: debhelper (>= 10), autoconf, automake, bison++ | bison, flex, texinfo, libreadline-dev, libjpeg-dev, libpng-dev, libgtk2.0-dev, libasound2-dev [linux-any], libpulse-dev, libmp3lame-dev, libavformat-dev (>= 6:10), libieee1284-3-dev [!hurd-i386], libgtkglext1-dev, libvte-2.91-dev, libswscale-dev, libxaw7-dev, xfonts-utils, yasm (>= 1.2)
+Build-Depends: debhelper (>= 11), autoconf, automake, bison++ | bison, flex, texinfo, xa65, libreadline-dev, libjpeg-dev, libpng-dev, libgtk2.0-dev, libasound2-dev [linux-any], libpulse-dev, libmp3lame-dev, libavformat-dev (>= 6:10), libieee1284-3-dev [!hurd-i386], libgtkglext1-dev, libvte-2.91-dev, libswscale-dev, libxaw7-dev, xfonts-utils, yasm (>= 1.2)
 Section: contrib/otherosfs
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Homepage: http://vice-emu.sourceforge.net/
-Standards-Version: 4.1.1
+Standards-Version: 4.1.4
 
 Package: vice
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,11 @@
 unexport HOME
 
 PKGDIR:=$(CURDIR)/debian/vice
+
+override_dh_autoreconf:
+	sed "s/AM_CONFIG_HEADER/AC_CONFIG_HEADERS/g" \
+		< configure.proto > configure.ac
+	dh_autoreconf
 
 override_dh_auto_configure:
 	./configure \
@@ -38,17 +43,7 @@
 	ln -sf vice_toc.html $(PKGDIR)/usr/share/doc/vice/html/index.html
 	ln -sf ../../share/doc/vice/html $(PKGDIR)/usr/lib/vice/doc
 
- .PHONY: build
- build:
-	# These files in the original source are not used
-	rm -f configure configure.ac
-
-	sed "s/AM_CONFIG_HEADER/AC_CONFIG_HEADERS/g" \
-		< configure.proto > configure.ac
-
-	dh $@ --with autoreconf
-
 %:
 	dh $@ --with autoreconf
 
-.PHONY: override_dh_auto_configure override_dh_install
+.PHONY: override_dh_autoreconf override_dh_auto_configure override_dh_install

## vice 3.3.0.dfsg

=== src/lib/libffmpeg/libavdevice/Makefile ===
include $(SUBDIR)../config.mak

NAME    = avdevice

HEADERS = avdevice.h                                                    \
          version.h                                                     \

OBJS    = alldevices.o                                                  \
          avdevice.o                                                    \

# input/output devices
OBJS-$(CONFIG_ALSA_INDEV)                += alsa-audio-common.o \
                                            alsa-audio-dec.o timefilter.o
OBJS-$(CONFIG_ALSA_OUTDEV)               += alsa-audio-common.o \
                                            alsa-audio-enc.o
OBJS-$(CONFIG_AVFOUNDATION_INDEV)        += avfoundation.o
OBJS-$(CONFIG_BKTR_INDEV)                += bktr.o
OBJS-$(CONFIG_CACA_OUTDEV)               += caca.o
OBJS-$(CONFIG_DECKLINK_OUTDEV)           += decklink_enc.o decklink_enc_c.o
OBJS-$(CONFIG_DSHOW_INDEV)               += dshow.o dshow_enummediatypes.o \
                                            dshow_enumpins.o dshow_filter.o \
                                            dshow_pin.o dshow_common.o
OBJS-$(CONFIG_DV1394_INDEV)              += dv1394.o
OBJS-$(CONFIG_FBDEV_INDEV)               += fbdev_dec.o \
                                            fbdev_common.o
OBJS-$(CONFIG_FBDEV_OUTDEV)              += fbdev_enc.o \
                                            fbdev_common.o
OBJS-$(CONFIG_GDIGRAB_INDEV)             += gdigrab.o
OBJS-$(CONFIG_IEC61883_INDEV)            += iec61883.o
OBJS-$(CONFIG_JACK_INDEV)                += jack_audio.o timefilter.o
OBJS-$(CONFIG_LAVFI_INDEV)               += lavfi.o
OBJS-$(CONFIG_OPENAL_INDEV)              += openal-dec.o
OBJS-$(CONFIG_OPENGL_OUTDEV)             += opengl_enc.o
OBJS-$(CONFIG_OSS_INDEV)                 += oss_audio.o oss_audio_dec.o
OBJS-$(CONFIG_OSS_OUTDEV)                += oss_audio.o oss_audio_enc.o
OBJS-$(CONFIG_PULSE_INDEV)               += pulse_audio_dec.o \
                                            pulse_audio_common.o
OBJS-$(CONFIG_PULSE_OUTDEV)              += pulse_audio_enc.o \
                                            pulse_audio_common.o
OBJS-$(CONFIG_QTKIT_INDEV)               += qtkit.o
OBJS-$(CONFIG_SDL_OUTDEV)                += sdl.o
OBJS-$(CONFIG_SNDIO_INDEV)               += sndio_common.o sndio_dec.o
OBJS-$(CONFIG_SNDIO_OUTDEV)              += sndio_common.o sndio_enc.o
OBJS-$(CONFIG_V4L2_INDEV)                += v4l2.o v4l2-common.o timefilter.o
OBJS-$(CONFIG_V4L2_OUTDEV)               += v4l2enc.o v4l2-common.o
OBJS-$(CONFIG_V4L_INDEV)                 += v4l.o
OBJS-$(CONFIG_VFWCAP_INDEV)              += vfwcap.o
OBJS-$(CONFIG_X11GRAB_INDEV)             += x11grab.o
OBJS-$(CONFIG_XV_OUTDEV)                 += xv.o

# external libraries
OBJS-$(CONFIG_LIBCDIO_INDEV)             += libcdio.o
OBJS-$(CONFIG_LIBDC1394_INDEV)           += libdc1394.o

OBJS-$(HAVE_LIBC_MSVCRT)                 += file_open.o

# Windows resource file
SLIBOBJS-$(HAVE_GNU_WINDRES)             += avdeviceres.o

SKIPHEADERS-$(CONFIG_DECKLINK)           += decklink_enc.h
SKIPHEADERS-$(CONFIG_DSHOW_INDEV)        += dshow_capture.h
SKIPHEADERS-$(CONFIG_FBDEV_INDEV)        += fbdev_common.h
SKIPHEADERS-$(CONFIG_FBDEV_OUTDEV)       += fbdev_common.h
SKIPHEADERS-$(CONFIG_LIBPULSE)           += pulse_audio_common.h
SKIPHEADERS-$(CONFIG_V4L2_INDEV)         += v4l2-common.h
SKIPHEADERS-$(CONFIG_V4L2_OUTDEV)        += v4l2-common.h
SKIPHEADERS-$(HAVE_ALSA_ASOUNDLIB_H)     += alsa-audio.h
SKIPHEADERS-$(HAVE_SNDIO_H)              += sndio_common.h

TESTPROGS = timefilter

=== debian/changelog ===
vice (3.3.0.dfsg-2~mx17+1) mx; urgency=medium

  * Repackaged for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 18 Jul 2019 17:48:01 -0700

vice (3.3.0.dfsg-2) unstable; urgency=medium

  * Compile with the OpenGL Extension Wrangler support.
  * Fix non-Linux FTBFS.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 28 Dec 2018 19:06:58 +0000

vice (3.3.0.dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.3.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 25 Dec 2018 19:37:32 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: vice
-Build-Depends: debhelper (>= 11), autoconf, automake, bison++ | bison, flex, texinfo, xa65, libreadline-dev, libjpeg-dev, libpng-dev, libgtk2.0-dev, libasound2-dev [linux-any], libpulse-dev, libmp3lame-dev, libavformat-dev (>= 6:10), libieee1284-3-dev [!hurd-i386], libgtkglext1-dev, libvte-2.91-dev, libswscale-dev, libxaw7-dev, xfonts-utils, yasm (>= 1.2)
+Build-Depends: debhelper (>= 11), autoconf, automake, bison++ | bison, flex, texinfo, xa65, libreadline-dev, libjpeg-dev, libpng-dev, libgtk2.0-dev, libasound2-dev [linux-any], libpulse-dev, libmp3lame-dev, libavformat-dev (>= 6:10), libieee1284-3-dev [!hurd-i386], libglew-dev, libgtkglext1-dev, libvte-2.91-dev, libswscale-dev, libxaw7-dev, xfonts-utils, yasm (>= 1.2)
 Section: contrib/otherosfs
 Priority: optional
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
+XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Homepage: http://vice-emu.sourceforge.net/
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 
 Package: vice
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,12 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+export DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
+
+ifeq ($(DEB_HOST_ARCH_OS), linux)
+        linuxflags += --with-alsa
+endif
 
 unexport HOME
 
@@ -17,19 +23,22 @@
 	./configure \
 		--prefix=/usr --infodir=/usr/share/info \
 		--mandir=/usr/share/man \
-		--enable-gnomeui \
-		--enable-fullscreen --disable-parsid --with-midas \
+		--disable-parsid \
+		--enable-hardsid \
 		--with-resid \
-		--without-uithreads \
-		--without-xaw3d \
 		--enable-arch=no \
-		--enable-fullscreen \
-		--enable-vte \
+		--with-png \
 		--with-jpeg \
 		--enable-lame \
+		--enable-external-ffmpeg \
+		--enable-rs232 \
+		--enable-ipv6 \
 		--with-oss \
-		--with-alsa \
-		--with-pulse
+		$(linuxflags) \
+		--with-pulse \
+		--enable-cpuhistory \
+		--enable-realdevice \
+		--verbose
 
 override_dh_install:
 	dh_install
@@ -47,3 +56,7 @@
 	dh $@ --with autoreconf
 
 .PHONY: override_dh_autoreconf override_dh_auto_configure override_dh_install
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
